;   Copyright 2012 Francisco Javier Peña
;
;   Licensed under the Apache License, Version 2.0 (the "License");
;   you may not use this file except in compliance with the License.
;   You may obtain a copy of the License at
;
;       http://www.apache.org/licenses/LICENSE-2.0
;
;   Unless required by applicable law or agreed to in writing, software
;   distributed under the License is distributed on an "AS IS" BASIS,
;   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
;   See the License for the specific language governing permissions and
;   limitations under the License.
org $A000

font_tiles:
db 0, 127, 65, 73, 65, 127, 0, 0
db 0, 24, 8, 8, 8, 8, 0, 0
db 0, 127, 1, 127, 64, 127, 0, 0
db 0, 127, 1, 127, 1, 127, 0, 0
db 0, 65, 65, 127, 1, 1, 0, 0
db 0, 127, 64, 127, 1, 127, 0, 0
db 0, 127, 64, 127, 65, 127, 0, 0
db 0, 127, 1, 1, 1, 1, 0, 0
db 0, 127, 65, 127, 65, 127, 0, 0
db 0, 127, 65, 127, 1, 127, 0, 0
db 0, 127, 65, 73, 65, 127, 0, 0
db 0, 24, 8, 8, 8, 8, 0, 0
db 0, 127, 1, 127, 64, 127, 0, 0
db 0, 127, 1, 127, 1, 127, 0, 0
db 0, 65, 65, 127, 1, 1, 0, 0
db 0, 127, 64, 127, 1, 127, 0, 0
db 0, 127, 64, 127, 65, 127, 0, 0
db 0, 127, 1, 1, 1, 1, 0, 0
db 0, 127, 65, 127, 65, 127, 0, 0
db 0, 127, 65, 127, 1, 127, 0, 0
db 0, 127, 65, 73, 65, 127, 0, 0
db 0, 24, 8, 8, 8, 8, 0, 0
db 0, 127, 1, 127, 64, 127, 0, 0
db 0, 127, 1, 127, 1, 127, 0, 0
db 0, 65, 65, 127, 1, 1, 0, 0
db 0, 127, 64, 127, 1, 127, 0, 0
db 0, 127, 64, 127, 65, 127, 0, 0
db 0, 127, 1, 1, 1, 1, 0, 0
db 0, 127, 65, 127, 65, 127, 0, 0
db 0, 127, 65, 127, 1, 127, 0, 0
db 255, 255, 255, 255, 255, 255, 255, 255
db 255, 255, 255, 255, 255, 255, 255, 255
db 255, 128, 254, 128, 190, 128, 255, 255
db 191, 128, 190, 190, 190, 128, 255, 255
db 255, 128, 191, 191, 191, 128, 255, 255
db 254, 128, 190, 190, 190, 128, 255, 255
db 255, 128, 190, 128, 191, 128, 255, 255
db 255, 128, 191, 128, 191, 191, 255, 255
db 255, 128, 190, 190, 128, 254, 128, 255
db 191, 128, 190, 190, 190, 190, 255, 255
db 255, 247, 247, 247, 247, 247, 255, 255
db 255, 253, 253, 253, 253, 253, 129, 255
db 255, 190, 190, 129, 190, 190, 255, 255
db 255, 191, 191, 191, 191, 128, 255, 255
db 255, 128, 182, 182, 182, 182, 255, 255
db 255, 128, 190, 190, 190, 190, 255, 255
db 255, 128, 190, 190, 190, 128, 255, 255
db 255, 128, 190, 190, 190, 128, 191, 255
db 255, 128, 190, 190, 190, 128, 254, 255
db 255, 128, 191, 191, 191, 191, 255, 255
db 255, 128, 191, 128, 254, 128, 255, 255
db 191, 129, 191, 191, 191, 128, 255, 255
db 255, 190, 190, 190, 190, 128, 255, 255
db 255, 190, 190, 221, 235, 247, 255, 255
db 255, 182, 182, 182, 182, 128, 255, 255
db 255, 190, 221, 227, 221, 190, 255, 255
db 255, 190, 190, 190, 128, 254, 128, 255
db 255, 128, 252, 227, 159, 128, 255, 255
db 255, 255, 255, 255, 255, 255, 255, 255
db 255, 255, 255, 255, 255, 255, 255, 255
db 255, 255, 255, 255, 255, 255, 255, 255
db 255, 255, 255, 255, 255, 255, 255, 255
db 255, 255, 255, 255, 255, 255, 255, 255
db 255, 255, 255, 255, 255, 255, 255, 255
db 0, 0, 127, 127, 65, 65, 73, 73
db 65, 65, 127, 127, 0, 0, 0, 0
db 0, 0, 24, 24, 8, 8, 8, 8
db 8, 8, 8, 8, 0, 0, 0, 0
db 0, 0, 127, 127, 1, 1, 127, 127
db 64, 64, 127, 127, 0, 0, 0, 0
db 0, 0, 127, 127, 1, 1, 127, 127
db 1, 1, 127, 127, 0, 0, 0, 0
db 0, 0, 65, 65, 65, 65, 127, 127
db 1, 1, 1, 1, 0, 0, 0, 0
db 0, 0, 127, 127, 64, 64, 127, 127
db 1, 1, 127, 127, 0, 0, 0, 0
db 0, 0, 127, 127, 64, 64, 127, 127
db 65, 65, 127, 127, 0, 0, 0, 0
db 0, 0, 127, 127, 1, 1, 1, 1
db 1, 1, 1, 1, 0, 0, 0, 0
db 0, 0, 127, 127, 65, 65, 127, 127
db 65, 65, 127, 127, 0, 0, 0, 0
db 0, 0, 127, 127, 65, 65, 127, 127
db 1, 1, 127, 127, 0, 0, 0, 0
db 255, 226, 209, 136, 196, 162, 209, 255
db 255, 221, 238, 136, 187, 221, 238, 255
db 255, 221, 238, 136, 187, 221, 238, 255
db 255, 221, 238, 136, 187, 221, 238, 255
db 255, 221, 238, 136, 187, 221, 238, 255
db 255, 220, 238, 137, 186, 220, 236, 255
db 255, 226, 209, 136, 196, 162, 209, 255
db 255, 221, 238, 136, 187, 221, 238, 255
db 255, 221, 238, 136, 187, 221, 238, 255
db 255, 221, 238, 136, 187, 221, 238, 255
db 255, 221, 238, 136, 187, 221, 238, 255
db 255, 220, 238, 137, 186, 220, 236, 255
; Alphabetic caracters, starting at tile 224
DEFB	  0,127,  1,127, 65,127,  0,  0
DEFB	 64,127, 65, 65, 65,127,  0,  0
DEFB	  0,127, 64, 64, 64,127,  0,  0
DEFB	  1,127, 65, 65, 65,127,  0,  0
DEFB	  0,127, 65,127, 64,127,  0,  0
DEFB	  0,127, 64,127, 64, 64,  0,  0
DEFB	  0,127, 65, 65,127,  1,127,  0
DEFB	 64,127, 65, 65, 65, 65,  0,  0
DEFB	  0,  8,  8,  8,  8,  8,  0,  0
DEFB	  0,  2,  2,  2,  2,  2,126,  0
DEFB	  0, 65, 65,126, 65, 65,  0,  0
DEFB	  0, 64, 64, 64, 64,127,  0,  0
DEFB	  0,127, 73, 73, 73, 73,  0,  0
DEFB	  0,127, 65, 65, 65, 65,  0,  0
DEFB	  0,127, 65, 65, 65,127,  0,  0
DEFB	  0,127, 65, 65, 65,127, 64,  0
DEFB	  0,127, 65, 65, 65,127,  1,  0
DEFB	  0,127, 64, 64, 64, 64,  0,  0
DEFB	  0,127, 64,127,  1,127,  0,  0
DEFB	 64,126, 64, 64, 64,127,  0,  0
DEFB	  0, 65, 65, 65, 65,127,  0,  0
DEFB	  0, 65, 65, 34, 20,  8,  0,  0
DEFB	  0, 73, 73, 73, 73,127,  0,  0
DEFB	  0, 65, 34, 28, 34, 65,  0,  0
DEFB	  0, 65, 65, 65,127,  1,127,  0
DEFB	  0,127,  3, 28, 96,127,  0,  0
DEFB	  0,  0,  0,  0,  0,  0,  0,  0		; ARTIFICIAL char for the space, number 251
DEFB	  0,  0,  0,  0,  0,  0,  0,  0		; ARTIFICIAL char for the space, number 251
DEFB	  0,  8,  8,  8,  0,  8,  0,  0		; ARTIFICIAL char for the exclamation mark, number 252
DEFB	  0,  0,  0,  0,  4, 12,  0,  0		; ARTIFICIAL char for the comma, number 253
DEFB	  0,  0,  0,  0,  0,  4,  0,  0		; ARTIFICIAL char for the dot, number 254
DEFB	  0,  4,  4,  0,  0,  0,  0,  0		; ARTIFICIAL char for the apostrophe, number 255


font_colors:
db 240, 240, 224, 240, 224, 240, 16, 16
db 16, 240, 224, 240, 224, 240, 16, 16
db 16, 240, 224, 240, 224, 240, 16, 16
db 16, 240, 224, 240, 224, 240, 16, 16
db 16, 240, 224, 240, 224, 240, 16, 16
db 16, 240, 224, 240, 224, 240, 16, 16
db 16, 240, 224, 240, 224, 240, 16, 16
db 16, 240, 224, 240, 224, 240, 16, 16
db 16, 240, 224, 240, 224, 240, 16, 16
db 16, 240, 224, 240, 224, 240, 16, 16
db 16, 128, 144, 128, 144, 128, 16, 16
db 16, 128, 144, 128, 144, 128, 16, 16
db 16, 128, 144, 128, 144, 128, 16, 16
db 16, 128, 144, 128, 144, 128, 16, 16
db 16, 128, 144, 128, 144, 128, 16, 16
db 16, 128, 144, 128, 144, 128, 16, 16
db 16, 128, 144, 128, 144, 128, 16, 16
db 16, 128, 144, 128, 144, 128, 16, 16
db 16, 128, 144, 128, 144, 128, 16, 16
db 16, 128, 144, 128, 144, 128, 16, 16
db 16, 64, 112, 64, 112, 64, 16, 16
db 16, 64, 112, 64, 112, 64, 16, 16
db 16, 64, 112, 64, 112, 64, 16, 16
db 16, 64, 112, 64, 112, 64, 16, 16
db 16, 64, 112, 64, 112, 64, 16, 16
db 16, 64, 112, 64, 112, 64, 16, 16
db 16, 64, 112, 80, 112, 64, 16, 16
db 16, 64, 112, 64, 112, 64, 16, 16
db 16, 64, 112, 64, 112, 64, 16, 16
db 16, 64, 112, 64, 112, 64, 16, 16
db 1, 1, 1, 1, 1, 1, 1, 1
db 1, 1, 1, 1, 1, 1, 1, 1
db 1, 2, 2, 2, 2, 2, 1, 1
db 2, 2, 2, 2, 2, 2, 1, 1
db 1, 2, 2, 2, 2, 2, 1, 1
db 2, 2, 2, 2, 2, 2, 1, 1
db 1, 2, 2, 2, 2, 2, 1, 1
db 1, 2, 2, 2, 2, 2, 1, 1
db 1, 2, 2, 2, 2, 2, 2, 1
db 2, 2, 2, 2, 2, 2, 1, 1
db 1, 2, 2, 2, 2, 2, 1, 1
db 1, 2, 2, 2, 2, 2, 2, 1
db 1, 2, 2, 2, 2, 2, 1, 1
db 1, 2, 2, 2, 2, 2, 1, 1
db 1, 2, 2, 2, 2, 2, 1, 1
db 1, 2, 2, 2, 2, 2, 1, 1
db 1, 2, 2, 2, 2, 2, 1, 1
db 1, 2, 2, 2, 2, 2, 2, 1
db 1, 2, 2, 2, 2, 2, 2, 1
db 1, 2, 2, 2, 2, 2, 1, 1
db 1, 2, 2, 2, 2, 2, 1, 1
db 2, 2, 2, 2, 2, 2, 1, 1
db 1, 2, 2, 2, 2, 2, 1, 1
db 1, 2, 2, 2, 2, 2, 1, 1
db 1, 2, 2, 2, 2, 2, 1, 1
db 1, 2, 2, 2, 2, 2, 1, 1
db 1, 2, 2, 2, 2, 2, 2, 1
db 1, 2, 2, 2, 2, 2, 1, 1
db 1, 1, 1, 1, 1, 1, 1, 1
db 1, 1, 1, 1, 1, 1, 1, 1
db 1, 1, 1, 1, 1, 1, 1, 1
db 1, 1, 1, 1, 1, 1, 1, 1
db 1, 1, 1, 1, 1, 1, 1, 1
db 1, 1, 1, 1, 1, 1, 1, 1
db 16, 240, 48, 48, 48, 48, 48, 48
db 112, 112, 112, 112, 240, 240, 240, 16
db 32, 32, 48, 48, 48, 48, 48, 48
db 112, 112, 112, 112, 32, 32, 16, 16
db 16, 240, 48, 48, 48, 48, 48, 48
db 112, 112, 112, 112, 240, 240, 240, 16
db 16, 240, 48, 48, 48, 48, 48, 48
db 112, 112, 112, 112, 240, 240, 240, 16
db 16, 240, 48, 48, 48, 48, 48, 48
db 112, 112, 112, 112, 240, 240, 240, 16
db 16, 240, 48, 48, 48, 48, 48, 48
db 112, 112, 112, 112, 240, 240, 240, 16
db 16, 240, 48, 48, 48, 48, 48, 48
db 112, 112, 112, 112, 240, 240, 240, 16
db 16, 240, 48, 48, 48, 48, 48, 48
db 112, 112, 112, 112, 240, 240, 240, 16
db 16, 240, 48, 48, 48, 48, 48, 48
db 112, 112, 112, 112, 240, 240, 240, 16
db 16, 240, 48, 48, 48, 48, 48, 48
db 112, 112, 112, 112, 240, 240, 240, 16
db 1, 9, 9, 9, 9, 9, 9, 1
db 1, 144, 144, 9, 144, 144, 144, 1
db 1, 144, 144, 9, 144, 144, 144, 1
db 1, 144, 144, 9, 144, 144, 144, 1
db 1, 144, 144, 9, 144, 144, 144, 1
db 1, 144, 144, 9, 144, 144, 144, 1
db 1, 4, 4, 4, 4, 4, 4, 1
db 1, 64, 64, 4, 64, 64, 64, 1
db 1, 64, 64, 4, 64, 64, 64, 1
db 1, 64, 64, 4, 64, 64, 64, 1
db 1, 64, 64, 4, 64, 64, 64, 1
db 1, 64, 64, 4, 64, 64, 64, 1
; Alphabetic characters
db 144, 128, 144, 128, 144, 128, 144, 128
db 144, 128, 144, 128, 144, 128, 144, 128
db 144, 128, 144, 128, 144, 128, 144, 128
db 144, 128, 144, 128, 144, 128, 144, 128
db 144, 128, 144, 128, 144, 128, 144, 128
db 144, 128, 144, 128, 144, 128, 144, 128
db 144, 128, 144, 128, 144, 128, 144, 128
db 144, 128, 144, 128, 144, 128, 144, 128
db 144, 128, 144, 128, 144, 128, 144, 128
db 144, 128, 144, 128, 144, 128, 144, 128
db 144, 128, 144, 128, 144, 128, 144, 128
db 144, 128, 144, 128, 144, 128, 144, 128
db 144, 128, 144, 128, 144, 128, 144, 128
db 144, 128, 144, 128, 144, 128, 144, 128
db 144, 128, 144, 128, 144, 128, 144, 128
db 144, 128, 144, 128, 144, 128, 144, 128
db 144, 128, 144, 128, 144, 128, 144, 128
db 144, 128, 144, 128, 144, 128, 144, 128
db 144, 128, 144, 128, 144, 128, 144, 128
db 144, 128, 144, 128, 144, 128, 144, 128
db 144, 128, 144, 128, 144, 128, 144, 128
db 144, 128, 144, 128, 144, 128, 144, 128
db 144, 128, 144, 128, 144, 128, 144, 128
db 144, 128, 144, 128, 144, 128, 144, 128
db 144, 128, 144, 128, 144, 128, 144, 128
db 144, 128, 144, 128, 144, 128, 144, 128
db 144, 128, 144, 128, 144, 128, 144, 128
db 144, 128, 144, 128, 144, 128, 144, 128
db 144, 128, 144, 128, 144, 128, 144, 128
db 144, 128, 144, 128, 144, 128, 144, 128
db 144, 128, 144, 128, 144, 128, 144, 128
db 144, 128, 144, 128, 144, 128, 144, 128

gameover_pattern 	INCBIN "gameover.sc1.bin"
gameover_color 		INCBIN "gameover.sc2.bin"

